> ## Documentation Index
> Fetch the complete documentation index at: https://dom-6a1f70d6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Creer Cle Api



## OpenAPI

````yaml openapi.json post /cles-api/creer
openapi: 3.0.3
info:
  title: DELIVERY API
  description: API pour la plateforme fournissant une api de gestion de livraison
  version: 1.0.0
servers: []
security: []
paths:
  /cles-api/creer:
    post:
      tags:
        - Clés API
        - Clés API
      summary: Creer Cle Api
      operationId: creer_cle_api_cles_api_creer_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CleAPICreate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CleAPIResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CleAPICreate:
      properties:
        nom:
          anyOf:
            - type: string
            - nullable: true
          title: Nom
        utilisateur_id:
          type: string
          format: uuid
          title: Utilisateur Id
      type: object
      required:
        - utilisateur_id
      title: CleAPICreate
    CleAPIResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        nom:
          anyOf:
            - type: string
            - nullable: true
          title: Nom
        cle:
          type: string
          title: Cle
        utilisateur_id:
          type: string
          format: uuid
          title: Utilisateur Id
        est_active:
          type: boolean
          title: Est Active
        date_creation:
          type: string
          format: date-time
          title: Date Creation
      type: object
      required:
        - id
        - nom
        - cle
        - utilisateur_id
        - est_active
        - date_creation
      title: CleAPIResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.